Get AI spend summary for an organisation
GET
/api/v3/organizations/{organisation}/ai/governance/spend
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/governance/spend';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/governance/spend \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Responses
Section titled “Responses”AI spend summary
Media typeapplication/json
object
orgTotal
object
spendCents
Total org spend in US cents
integer
requestCount
integer
todayTotal
object
spendCents
Org spend today in US cents
integer
requestCount
integer
budget
object
monthlyBudgetCents
integer
usedPercent
number format: float
remainingCents
integer
dailyBudget
object
dailyBudgetCents
integer
usedPercent
number format: float
remainingCents
integer
userTotal
object
monthlySpendCents
integer
dailySpendCents
integer
Examplegenerated
{ "orgTotal": { "spendCents": 1, "requestCount": 1 }, "todayTotal": { "spendCents": 1, "requestCount": 1 }, "budget": { "monthlyBudgetCents": 1, "usedPercent": 1, "remainingCents": 1 }, "dailyBudget": { "dailyBudgetCents": 1, "usedPercent": 1, "remainingCents": 1 }, "userTotal": { "monthlySpendCents": 1, "dailySpendCents": 1 }}Failed to retrieve spend summary
